#! /bin/bash

echo "[$(date)] post-install script start."

PLUGIN_NAME="open-vm-tools"
PLUGIN_VERSION=$(cut -d ';' -f2 /tmp/flowmon-update/version.txt)

. /usr/local/bin/common_functions
if [[ -z $COMM_FUNC_VERSION ]]; then
    COMM_FUNC_VERSION=0
fi

# Remove colliding libraries - for VM they are useless as srvadmin is only Dell server stuff
# see more info here: https://github.com/vmware/open-vm-tools/issues/75
rm -f /etc/ld.so.conf.d/srvadmin-*.conf
/usr/sbin/ldconfig

# Enable and start vmtools
/usr/bin/systemctl enable vmtoolsd
/usr/bin/systemctl restart vmtoolsd

cat /etc/flowmon/pkg_versions.txt | perl -e '
    $plugin_name="'"$PLUGIN_NAME"'";
    $plugin_version="'"$PLUGIN_VERSION"'";
    $found = 0;
    while (defined($line = <STDIN>)) {
        if ($line =~ /^$plugin_name;\S+\s*$/) {
            print "$plugin_name;$plugin_version\n";
            $found = 1;
        }else {
            print $line;
        }
    }
    if ($found == 0) {
        print "$plugin_name;$plugin_version\n";
    }' > /tmp/pkg_versions.txt
move_file_safe /tmp/pkg_versions.txt /etc/flowmon/pkg_versions.txt

echo "[$(date)] post-install script complete."
