#!/usr/bin/env bash

echo "[$(date)] pre-install script start."

PLUGIN_NAME="open-vm-tools"
PLUGIN_DIR_NAME="open-vm-tools"
PLUGIN_ADM_DIR="/etc/flowmon/plugins/${PLUGIN_DIR_NAME}"
PLUGIN_VERSION=$(cut -d ';' -f2 /tmp/flowmon-update/version.txt | tr -d '.')

# Test if this is VMware platform
IS_VM=$(/usr/sbin/lshw 2> /dev/null | grep -c "VMware")
[[ -z "$IS_VM" ]] && IS_VM=0
if ((IS_VM == 0 )); then
    echo "This module can be installed on device running on VMware platform only!" > /tmp/flowmon-update.err
    exit 10
fi

# remove vmware-tools metadata if installed
/usr/bin/perl -pi -e "s/^\s*vmware-tools;\S+\s*$//g" /etc/flowmon/pkg_versions.txt
rm -rf /etc/plugins/vmware-tools/

VER=$(grep "${PLUGIN_NAME}" /etc/flowmon/pkg_versions.txt | cut -d ';' -f 2 | tr -d '.')
[[ -z "$VER" ]] && VER=0
if ((VER < PLUGIN_VERSION)) || [[ "${PLUGIN_VERSION}" == "110005" && "${VER}" == "110005" ]]; then
    if ((VER == 0)); then
        mkdir -p "${PLUGIN_ADM_DIR}"
        cat <<EOF > "${PLUGIN_ADM_DIR}"/plugin.cfg
status=ok
name=${PLUGIN_NAME}
EOF
    fi
    if [[ "${PLUGIN_VERSION}" == "110005" ]]; then
        RPM_VER="$(rpm -qa "${PLUGIN_NAME}")"
        if [[ "${RPM_VER}" == "open-vm-tools-11.0.5-3.el7_9.4.x86_64" ]]; then
            echo "This version of ${PLUGIN_NAME} is already installed!" > /tmp/flowmon-update.err
            exit 10
        else
            echo "Installing security fix"
        fi
    fi
else
    echo "This version of ${PLUGIN_NAME} is already installed!" > /tmp/flowmon-update.err
    exit 10
fi

echo "[$(date)] Pre-install script done."
